searchData={"items":[{"type":"module","title":"GitHub.Issues","doc":"Fetches a list of issues from a GitHub project.","ref":"GitHub.Issues.html"},{"type":"function","title":"GitHub.Issues.fetch/2","doc":"Fetches issues from the GitHub `project` of a given `user`.\n\nReturns a tuple of either `{:ok, [issue]}` or `{:error, text}`.","ref":"GitHub.Issues.html#fetch/2"},{"type":"function","title":"Examples - GitHub.Issues.fetch/2","doc":"iex> alias GitHub.Issues\n    iex> {:ok, issues} = Issues.fetch(\"opendrops\", \"passport\")\n    iex> Enum.all?(issues, &is_map/1) and length(issues) > 0\n    true","ref":"GitHub.Issues.html#fetch/2-examples"},{"type":"type","title":"GitHub.Issues.issue/0","doc":"GitHub issue","ref":"GitHub.Issues.html#t:issue/0"},{"type":"module","title":"GitHub.Issues.CLI","doc":"Parses the command line and prints a table of the first or last _n_ issues\nof a GitHub project.\n\n###","ref":"GitHub.Issues.CLI.html"},{"type":"module","title":"Inspired by the book [Programming Elixir](https://pragprog.com/book/elixir16/programming-elixir-1-6) by Dave Thomas. - GitHub.Issues.CLI","doc":"","ref":"GitHub.Issues.CLI.html#module-inspired-by-the-book-programming-elixir-https-pragprog-com-book-elixir16-programming-elixir-1-6-by-dave-thomas"},{"type":"function","title":"GitHub.Issues.CLI.main/1","doc":"Parses the command line and prints a table of the first or last _n_ issues\nof a GitHub project.\n\n`argv` can be \"-h\" or \"--help\", which prints info on the command's\nusage and syntax. Otherwise it is a GitHub user, project, and\noptionally the number of issues to format (the first _n_ ones).\nTo format the last _n_ issues, specify switch `--last`.\n\nTo ring the bell, specify switch `--bell`.\nTo choose a table style, specify switch `--table-style`.","ref":"GitHub.Issues.CLI.html#main/1"},{"type":"function","title":"Parameters - GitHub.Issues.CLI.main/1","doc":"- `argv` - command line arguments (list)","ref":"GitHub.Issues.CLI.html#main/1-parameters"},{"type":"function","title":"Switches - GitHub.Issues.CLI.main/1","doc":"- `-h` or `--help`        - for help\n  - `-b` or `--bell`        - to ring the bell\n  - `-l` or `--last`        - to format the last _n_ issues\n  - `-t` or `--table-style` - to choose a table style","ref":"GitHub.Issues.CLI.html#main/1-switches"},{"type":"function","title":"Table styles - GitHub.Issues.CLI.main/1","doc":"- `bare`                  - no colors\n  - `barish`                - like bare but colored\n  - `cyan`                  - cyan background\n  - `cyan-alt`              - cyan header, alternating row colors\n  - `cyan-border`           - light cyan border\n  - `cyan-mult`             - cyan header, 3 repeating row colors\n  - `dark`                  - dark colors\n  - `dark-alt`              - dark colors, alternating row colors\n  - `dark-mult`             - dark colors, 3 repeating row colors\n  - `dashed`                - no colors\n  - `dotted`                - slightly colored\n  - `dotted-alt`            - slightly colored, alternating row colors\n  - `dotted-mult`           - slightly colored, 3 repeating row colors\n  - `game`                  - game board\n  - `green`                 - green background\n  - `green-alt`             - green header, alternating row colors\n  - `green-border`          - light green border\n  - `green-border-padded`   - light green border with extra padding\n  - `green-border-unpadded` - light green border without padding\n  - `green-mult`            - green header, 3 repeating row colors\n  - `green-padded`          - like green but with extra padding\n  - `green-unpadded`        - like green but without padding\n  - `light`                 - light colors\n  - `light-alt`             - light colors, alternating row colors\n  - `light-mult`            - light colors, 3 repeating row colors\n  - `medium`                - medium colors\n  - `medium-alt`            - medium colors, alternating row colors\n  - `medium-mult`           - medium colors, 3 repeating row colors\n  - `mixed`                 - fillers revealed\n  - `plain`                 - slightly colored\n  - `pretty`                - multicolored\n  - `pretty-alt`            - multicolored, alternating row colors\n  - `pretty-mult`           - multicolored, 3 repeating row colors\n  - `test`                  - no colors\n  - `yellow`                - light yellow background\n  - `yellow-border`         - light yellow border","ref":"GitHub.Issues.CLI.html#main/1-table-styles"},{"type":"type","title":"GitHub.Issues.CLI.project/0","doc":"GitHub project","ref":"GitHub.Issues.CLI.html#t:project/0"},{"type":"type","title":"GitHub.Issues.CLI.user/0","doc":"GitHub user","ref":"GitHub.Issues.CLI.html#t:user/0"},{"type":"module","title":"GitHub.Issues.Help","doc":"Prints info on the escript command's usage and syntax.","ref":"GitHub.Issues.Help.html"},{"type":"function","title":"GitHub.Issues.Help.show_help/0","doc":"Prints info on the escript command's usage and syntax.","ref":"GitHub.Issues.Help.html#show_help/0"},{"type":"module","title":"GitHub.Issues.Log","doc":"","ref":"GitHub.Issues.Log.html"},{"type":"function","title":"GitHub.Issues.Log.error/2","doc":"","ref":"GitHub.Issues.Log.html#error/2"},{"type":"function","title":"GitHub.Issues.Log.info/2","doc":"","ref":"GitHub.Issues.Log.html#info/2"},{"type":"module","title":"GitHub.Issues.Message","doc":"","ref":"GitHub.Issues.Message.html"},{"type":"function","title":"GitHub.Issues.Message.error/1","doc":"","ref":"GitHub.Issues.Message.html#error/1"},{"type":"function","title":"GitHub.Issues.Message.fetching_error/3","doc":"","ref":"GitHub.Issues.Message.html#fetching_error/3"},{"type":"function","title":"GitHub.Issues.Message.status/1","doc":"","ref":"GitHub.Issues.Message.html#status/1"},{"type":"function","title":"GitHub.Issues.Message.writing_table/2","doc":"","ref":"GitHub.Issues.Message.html#writing_table/2"},{"type":"module","title":"GitHub.Issues.URLTemplate","doc":"Returns a URL based on a user, a project and a URL template.","ref":"GitHub.Issues.URLTemplate.html"},{"type":"function","title":"GitHub.Issues.URLTemplate.url/3","doc":"Returns a URL based on `user`, `project` and `url_template`.","ref":"GitHub.Issues.URLTemplate.html#url/3"},{"type":"function","title":"Parameters - GitHub.Issues.URLTemplate.url/3","doc":"- `user`         - GitHub user\r\n  - `project`      - GitHub project\r\n  - `url_template` - URL template (EEx string)","ref":"GitHub.Issues.URLTemplate.html#url/3-parameters"},{"type":"function","title":"Examples - GitHub.Issues.URLTemplate.url/3","doc":"iex> alias GitHub.Issues.URLTemplate\r\n    iex> url_template = \"api.github.com/repos/<%=user%>/<%=project%>/issues\"\r\n    iex> URLTemplate.url(\"opendrops\", \"passport\", url_template)\r\n    \"api.github.com/repos/opendrops/passport/issues\"\r\n\r\n    iex> alias GitHub.Issues.URLTemplate\r\n    iex> url_template = \"elixir-lang.org/<%=project%>/<%=user%>/wow\"\r\n    iex> URLTemplate.url(\"José\", \"Elixir\", url_template)\r\n    \"elixir-lang.org/Elixir/José/wow\"\r\n\r\n    iex> alias GitHub.Issues.URLTemplate\r\n    iex> url_template = \"elixir-lang.org/ / /wow\"\r\n    iex> URLTemplate.url(\"José\", \"Elixir\", url_template)\r\n    \"elixir-lang.org/ / /wow\"","ref":"GitHub.Issues.URLTemplate.html#url/3-examples"}],"content_type":"text/markdown"}